.postbutton {
  display: flex;
  align-items: center;
  justify-content: space-between;

  width: 100%;
  max-width: 1100px;
  height: 60px;
  margin-left: 250px;

  padding: 0 20px;

  background-image: url("/menus/blogpost-D.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;

  text-decoration: none;
  font-family: Melee;
  font-size: 28px;
  color: #ddd;

  box-sizing: border-box;
}

.postbutton:hover {
  background-image: url("/menus/blogpost-A.png");
  color: black;
}

.post-title {
  white-space: nowrap;
}

.post-date {
  width: 140px;          /* width of right-side panel in your image */
  text-align: center;
}

.post-left {
  flex: 1;
  padding-left: 10px;
  padding-bottom: 5px;
  display: flex;
  align-items: center;
}

.post-right {
  width: 180px;
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
}